CVE-2015-8931

Priority
Description
Multiple integer overflows in the (1) get_time_t_max and (2) get_time_t_min
functions in archive_read_support_format_mtree.c in libarchive before 3.2.0
allow remote attackers to have unspecified impact via a crafted mtree file,
which triggers undefined behavior.
Assigned-to
mdeslaur
Notes
Package
Upstream:released (3.2.0-2)
Ubuntu 14.04 ESM (Trusty Tahr):released (3.1.2-7ubuntu2.3)
Ubuntu 16.04 LTS (Xenial Xerus):released (3.1.2-11ubuntu0.16.04.2)
Patches:
Upstream:https://github.com/libarchive/libarchive/commit/b31744df71084a8734f97199e42418f55d08c6c5
Upstream:https://github.com/libarchive/libarchive/commit/c0c52e9aaafb0860c4151c5374372051e9354301
More Information

Updated: 2020-07-28 19:55:53 UTC (commit d26b6ca9f5b3adb89bb036ce73ae7dab894935ec)